﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.FollowUpEnqModel>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
 
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)


    <style type="text/css">
        div.box div.overlay {
            display: none;
        }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>





    <script type="text/javascript">
        $(document).ready(function () {
            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');
            $("#UserList").val($("#usrhidden").val());
        });
    </script>
    <script type="text/javascript">
        deleterecord("MaEnquiry");
        function Submit() {
            searchfun();
        }


        function searchfun() {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();

            var usr = $("#UserList").val();
            window.location.href = "/MaEnqFollow/PendingFollowUpbycreatedate?name=" + name + "&&mobile=" + mobile + "&&dt1=" + date + "&&dt2=" + todate + "&&uid=" + usr;

            $("#UserList").val(usr);

        }
        $(document).ready(function () {

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });

    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Enquiry Follow Up
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        int uid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            <td style="width: 120px">
                <b>From Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>To Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>Enquiry Handled By</b>
            </td>
            <td align="left"></td>
        </tr>
        <tr>
            <td>
                <input type="text" style="width: 120px" id="txtname" value="@ViewBag.name" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
            <td>
                <input id="dateofwnquiry" type="date" style="width: 120px" value="@ViewBag.dt1" />
            </td>
            <td></td>
            <td>
                <input id="tdate" type="date" style="width: 120px" value="@ViewBag.dt2" />
            </td>
            <td></td>
            <td>
                @Html.DropDownList("UserList", "All")
                <input type="hidden" id="usrhidden" value="@ViewBag.usr" />
            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    @*@Html.ActionLink("Search By Next Follow Date", "PendingFollowUp")*@
    <a href="/MaEnqFollow/PendingFollowUp?uid=@uid">Pending Follow Up</a>
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*  @Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Enq No
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Enq. About
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Enq. Date
                        </th>
                        <th>
                            Follow Up Create Date
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Enq. Status
                        </th>
                        <th>
                            Enq Handle By
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {

                        <tr>
                            <td>
                                @Html.DisplayFor(modelitem => item.Id)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FirstName)
                                @Html.DisplayFor(modelItem => item.LastName)
                            </td>
                            <td>
                                @{
                        MaEnquiry enq = db.MaEnquiries.Where(z => z.Id == item.Id).First();
                        string enqab = "";
                        if (enq.EnquirySpkEng == true)
                        {
                            enqab = "Spoken English ";
                        }
                        if (enq.EnquiryStyVisa == true)
                        {
                            enqab += "Study Visa ";
                        }
                        if (enq.EnquiryIELGT == true)
                        {
                            enqab += "IELTS GT ";
                        }

                        if (enq.EnquiryIELAC == true)
                        {
                            enqab += "IELTS AC";
                        }
                                }
                                @enqab
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td>
                                @{string walkdate = string.Format("{0:dd MMM,yyyy}", @enq.WalkInDate);}
                                @walkdate
                            </td>
                            <td>
                                @{if (db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.CDate).Count() > 0)
                                {
                                    DateTime? dt = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.CDate).First();
                                    string nxtdate = string.Format("{0:dd MMM, yyyy}", dt);
                                    @nxtdate
                                }

                                }
                            </td>
                            <td width="100px" style="overflow: hidden">
                                @{if (db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).Count() > 0)
                                {
                                    string rem = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Remarks).First();
                                    if (rem != null)
                                    {
                                        if (rem.Length > 20)
                                        {
                                            string sustrg = rem.Substring(0, 20);
                                            @sustrg
                                            <br />
                                            <div class="box">
                                                <a id="remarks">Read-More...</a>
                                                <div class="overlay">
                                                    @rem
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            @rem
                                        }
                                    }

                                }
                                }
                            </td>
                            <td>
                                @item.Enqstatus
                            </td>
                            <td>
                                @enq.User1.Fullname
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", "MaEnquiry", new { id = item.Id }, null, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "MaEnquiry", new { id = item.Id }, null, null)
                                @{ bool ielts = false;
                                 if (enq.EnquiryIELAC)
                                 {
                                     ielts = true;
                                 }
                                 else if (enq.EnquiryIELGT)
                                 {
                                     ielts = true;
                                 }
                                 else if (enq.EnquiryStyVisa)
                                 {
                                     ielts = true;
                                 }

                                 if (ielts)
                                 {
                                    @Html.ImageActionLink("../../Content/themes/base/images/add.png", "Add Highest Qualification", "CallHighest", new { id = item.Id })
                                 }

                                }
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Create", "MaEnqFollow", new { id = item.Id, reftype = "Enquiry", name = item.FirstName + " " + item.LastName, refno = item.Id }, new { @class = "editAcBtn" }, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Admission.png", "Move To Admission", "Create", "MaAdmission", new { id = item.Id }, null, null)
                            </td>
                        </tr>

                    }
                </tbody>
            </table>
        </div>
        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="Add Enquiry Follow Up" style="width: 556px">
        </div>
    </div>
</div>
